#-*- coding:utf-8 -*-
import logging
import URRouterInfo
from URMessageChannel import TimerEvtHandle, init_base, logconfig

class testTimer(TimerEvtHandle):
    def __init__(self, time):
        #init an event base
        self.base = init_base()
        TimerEvtHandle.__init__(self, self.base, time)

    def timerHandle(self, evt, userdata):
        #show cellular status
        logging.info(URRouterInfo.get_cellular_status())
        #add timer and start it after 5 seconds
        self.startTimer()


if __name__ == '__main__':
    #set log level
    logconfig("debug")
    #instantiates a testTimer,set timer trigger time
    timer = testTimer(5)
    #start event loop
    timer.start()